﻿* Encoding: UTF-8.
*ANCOVA for positive mood.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=PanasPOSITIVE INPUT=Condition bmi  
  /CRITERIA CILEVEL=95 CITYPE=BCA  NSAMPLES=1000
  /MISSING USERMISSING=EXCLUDE.
UNIANOVA PanasPOSITIVE BY Condition WITH bmi
  /CONTRAST(Condition)=Simple(1)
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(Condition) WITH(bmi=MEAN) COMPARE ADJ(LSD)
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=bmi Condition.

**follow-up post hoc t-test to compare the BoPo-average and BoPo-larger conditions.

T-TEST GROUPS=Condition(1 2) 
  /MISSING=ANALYSIS 
  /VARIABLES=PanasPOSITIVE 
  /CRITERIA=CI(.95).


*ANCOVA for negatve mood.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=PanasNEGATIVE INPUT=Condition bmi  
  /CRITERIA CILEVEL=95 CITYPE=BCA  NSAMPLES=1000
  /MISSING USERMISSING=EXCLUDE.
UNIANOVA PanasNEGATIVE BY Condition WITH bmi
  /CONTRAST(Condition)=Simple(1)
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(Condition) WITH(bmi=MEAN) COMPARE ADJ(LSD)
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=bmi Condition.


*ANCOVA for Body Satisfaction.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=BSSfullmean INPUT=Condition bmi  
  /CRITERIA CILEVEL=95 CITYPE=BCA  NSAMPLES=1000
  /MISSING USERMISSING=EXCLUDE.
UNIANOVA BSSfullmean BY Condition WITH bmi
  /CONTRAST(Condition)=Simple(1)
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(Condition) WITH(bmi=MEAN) COMPARE ADJ(LSD)
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=bmi Condition.


*Ancova for total calories.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=Total_Kcal INPUT=Condition bmi VEGINTOLERANCE Q5cov1lasteat Q6cov2Hungry  
  /CRITERIA CILEVEL=95 CITYPE=BCA  NSAMPLES=1000
  /MISSING USERMISSING=EXCLUDE.
UNIANOVA Total_Kcal BY Condition WITH bmi VEGINTOLERANCE Q5cov1lasteat Q6cov2Hungry
  /CONTRAST(Condition)=Simple(1)
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(Condition) WITH(bmi=MEAN VEGINTOLERANCE=MEAN Q5cov1lasteat=MEAN 
    Q6cov2Hungry=MEAN) COMPARE ADJ(LSD)
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=bmi VEGINTOLERANCE Q5cov1lasteat Q6cov2Hungry Condition.

*recoding of the percentage of nutritious selections into a categorical variable (described in method).
RECODE healthy100 (SYSMIS=SYSMIS) (Lowest thru 33.34=1) (67.1 thru Highest=3) (33.35 thru 67=2) 
    INTO cat100healthy.
VARIABLE LABELS  cat100healthy 'Categorical Percentage of Healthy Picks'.
EXECUTE.

*Chi-square to compare percentage of healthy choices (categorical variable created above) by condition.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=Condition cat100healthy  
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=2000
  /MISSING USERMISSING=EXCLUDE.
CROSSTABS
  /TABLES=Condition BY cat100healthy
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT EXPECTED 
  /COUNT ROUND CELL.


*splitting the file by condition, to run the correlations between total calories selected and hunger for each condition separately.

SORT CASES  BY Condition.
SPLIT FILE LAYERED BY Condition.

*correlations (by condition with the split) between total calories and hunger. Note that hunger is reverse coded in the dataset (ie. lower score = more hunger)
but the reverse is reported in the paper (ie. the correlations for if hunger is coded lower = lower hunger). The absolute sizes and probability are unchanged by this recode.

NONPAR CORR
  /VARIABLES=Total_Kcal Q6cov2Hungry
  /PRINT=SPEARMAN TWOTAIL NOSIG
  /MISSING=PAIRWISE.
